module Devops
  module Model
    class Policy

      attr_accessor :id, :description, :dependencies

      def initialize id, attrs
        self.id = id
        self.description = attrs[:description]
        self.dependencies = attrs[:dependencies] || []
      end

      def to_hash
        {
          id: self.id,
          description: self.description,
          dependencies: self.dependencies
        }
      end

    end
  end
end
